package jp.sourceforge.shovel.form;

import org.apache.struts.upload.FormFile;

public interface IDesignForm {
    boolean isDefaultDesign();
    void setDefaultDesign(boolean defaultDesign);
    boolean isDestroyFile();
    void setDestroyFile(boolean destroyFile);
    FormFile getFile();
    void setFile(FormFile file);
    boolean isTile();
    void setTile(boolean tile);
    String getBackgroundColor();
    void setBackgroundColor(String backgroundColor);
    String getColor();
    void setColor(String color);
    String getNameColor();
    void setNameColor(String nameColor);
    String getLinkColor();
    void setLinkColor(String linkColor);
    String getSidebarBackgroundColor();
    void setSidebarBackgroundColor(String sidebarBackgroundColor);
    String getSidebarFrameColor();
    void setSidebarFrameColor(String sidebarFrameColor);
}
